pydo.insights.list_notification_channels()

Generated on 6 Nov 2026 from pydo version v0.45.0

Usage

client.insights.list_notification_channels(page=1, per_page=20)
Returns JSON Raises HttpResponseError

Description

To list all notification channels for your account, send a GET request to /v2/insights/notification-channels. Results are paginated with page and per_page (default 20, maximum 200).

Parameters

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.insights.list_notification_channels()
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.insights.list_notification_channels(page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "notification_channels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "On-call email",
      "channel_type": "CHANNEL_TYPE_EMAIL",
      "email": {
        "to": "[email protected]"
      },
      "usage": {
        "rule_count": 2
      },
      "created_at": "2026-09-03T10:15:00Z",
      "updated_at": "2026-09-03T10:15:00Z"
    }
  ],
  "links": {
    "pages": {
      "first": "https://api.digitalocean.com/v2/insights/notification-channels?page=1",
      "last": "https://api.digitalocean.com/v2/insights/notification-channels?page=1"
    }
  },
  "meta": {
    "total": 1
  }
}

More Information

See /v2/insights/notification-channels in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.